Commits

Anonymous committed 1e656a8

removed flake8.cmd, no longer necessary since dependency on setuptools is not explicit

Comments (0)

Files changed (3)

 include *.rst
 include CONTRIBUTORS.txt
 include LICENSE
-recursive-include scripts flake8.*
+

docs/setuptools.rst

 Setuptools integration
 ======================
 
-If setuptools is available, Flake8 provides a command that checks the
-Python files declared by your project.  To use it, add flake8 to your
-setup_requires::
+Flake8 now depends on setuptools and its installation enables a command    
+that checks the Python files declared by your project.  To use it, add   
+flake8 to your setup_requires::
 
     setup(
         name="project",

scripts/flake8.cmd

-@setlocal enableextensions & python -x %~f0 %* & goto :EOF
-# -*- mode: python -*-
-from flake8.run import main
-
-if __name__ == '__main__':
-    main()